org.eclipse.emf.compare.impl

## Class DiffImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.compare.impl.DiffImpl

All Implemented Interfaces:
  Notifier, Diff, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

Direct Known Subclasses:
  AttributeChangeImpl, DiffSpec, FeatureMapChangeImpl, ReferenceChangeImpl, ResourceAttachmentChangeImpl, ResourceLocationChangeImpl

    public class DiffImpl
    extends MinimalEObjectImpl.Container
    implements Diff

An implementation of the model object 'Diff'.

The following features are implemented:

- `Match`
- `Requires`
- `Required By`
- `Implies`
- `Implied By`
- `Refines`
- `Refined By`
- `Prime Refining`
- `Kind`
- `Source`
- `State`
- `Equivalence`
- `Conflict`

Generated:

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

### Field Summary

Fields
`protected Conflict` `conflict` The cached value of the '`Conflict`' reference
`static String` `copyright`
`protected Equivalence` `equivalence` The cached value of the '`Equivalence`' reference
`protected EList<Diff>` `impliedBy` The cached value of the '`Implied By`' reference list.
`protected EList<Diff>` `implies` The cached value of the '`Implies`' reference list
`protected DifferenceKind` `kind` The cached value of the '`Kind`' attribute
`protected static DifferenceKind` `KIND_EDEFAULT` The default value of the '`Kind`' attribute
`protected Diff` `primeRefining` The cached value of the '`Prime Refining`' reference.
`protected EList<Diff>` `refinedBy` The cached value of the '`Refined By`' reference list.
`protected EList<Diff>` `refines` The cached value of the '`Refines`' reference list
`protected EList<Diff>` `requiredBy` The cached value of the '`Required By`' reference list.
`protected EList<Diff>` `requires` The cached value of the '`Requires`' reference list
`protected DifferenceSource` `source` The cached value of the '`Source`' attribute
`protected static DifferenceSource` `SOURCE_EDEFAULT` The default value of the '`Source`' attribute
`protected DifferenceState` `state` The cached value of the '`State`' attribute
`protected static DifferenceState` `STATE_EDEFAULT` The default value of the '`State`' attribute

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `DiffImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Conflict` `basicGetConflict()`
`Equivalence` `basicGetEquivalence()`
`Match` `basicGetMatch()`
`Diff` `basicGetPrimeRefining()`
`NotificationChain` `basicSetConflict(Conflict newConflict, NotificationChain msgs)`
`NotificationChain` `basicSetEquivalence(Equivalence newEquivalence, NotificationChain msgs)`
`void` `copyLeftToRight()`
`void` `copyRightToLeft()`
`void` `discard()`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Conflict` `getConflict()`
`Equivalence` `getEquivalence()`
`EList<Diff>` `getImpliedBy()`
`EList<Diff>` `getImplies()`
`DifferenceKind` `getKind()`
`Match` `getMatch()`
`Diff` `getPrimeRefining()`
`EList<Diff>` `getRefinedBy()`
`EList<Diff>` `getRefines()`
`EList<Diff>` `getRequiredBy()`
`EList<Diff>` `getRequires()`
`DifferenceSource` `getSource()`
`DifferenceState` `getState()`
`void` `setConflict(Conflict newConflict)`
`void` `setEquivalence(Equivalence newEquivalence)`
`void` `setKind(DifferenceKind newKind)`
`void` `setMatch(Match newMatch)`
`void` `setSource(DifferenceSource newSource)`
`void` `setState(DifferenceState newState)`
`String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

#### requires

    protected EList<Diff> requires

The cached value of the '`Requires`' reference list.

See Also:
  `getRequires()`
Generated:

#### requiredBy

    protected EList<Diff> requiredBy

The cached value of the '`Required By`' reference list.

See Also:
  `getRequiredBy()`
Generated:

#### implies

    protected EList<Diff> implies

The cached value of the '`Implies`' reference list.

See Also:
  `getImplies()`
Generated:

#### impliedBy

    protected EList<Diff> impliedBy

The cached value of the '`Implied By`' reference list.

Since:
  3.1
See Also:
  `getImpliedBy()`
Generated:

#### refines

    protected EList<Diff> refines

The cached value of the '`Refines`' reference list.

See Also:
  `getRefines()`
Generated:

#### refinedBy

    protected EList<Diff> refinedBy

The cached value of the '`Refined By`' reference list.

See Also:
  `getRefinedBy()`
Generated:

#### primeRefining

    protected Diff primeRefining

The cached value of the '`Prime Refining`' reference.

Since:
  3.1
See Also:
  `getPrimeRefining()`
Generated:

#### KIND_EDEFAULT

    protected static final DifferenceKind KIND_EDEFAULT

The default value of the '`Kind`' attribute.

See Also:
  `getKind()`
Generated:

#### kind

    protected DifferenceKind kind

The cached value of the '`Kind`' attribute.

See Also:
  `getKind()`
Generated:

#### SOURCE_EDEFAULT

    protected static final DifferenceSource SOURCE_EDEFAULT

The default value of the '`Source`' attribute.

See Also:
  `getSource()`
Generated:

#### source

    protected DifferenceSource source

The cached value of the '`Source`' attribute.

See Also:
  `getSource()`
Generated:

#### STATE_EDEFAULT

    protected static final DifferenceState STATE_EDEFAULT

The default value of the '`State`' attribute.

See Also:
  `getState()`
Generated:

#### state

    protected DifferenceState state

The cached value of the '`State`' attribute.

See Also:
  `getState()`
Generated:

#### equivalence

    protected Equivalence equivalence

The cached value of the '`Equivalence`' reference.

See Also:
  `getEquivalence()`
Generated:

#### conflict

    protected Conflict conflict

The cached value of the '`Conflict`' reference.

See Also:
  `getConflict()`
Generated:

### Constructor Detail

#### DiffImpl

    protected DiffImpl()

Generated:

### Method Detail

#### eStaticClass

    protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `BasicEObjectImpl`
Generated:

#### getMatch

    public Match getMatch()

Specified by:
  `getMatch` in interface `Diff`
Returns:
  the value of the 'Match' container reference.
See Also:
  `Diff.setMatch(Match)`
Generated:

#### basicGetMatch

    public Match basicGetMatch()

Since:
  3.2
Generated:

#### setMatch

    public void setMatch(Match newMatch)

Specified by:
  `setMatch` in interface `Diff`
Parameters:
  `newMatch` - the new value of the 'Match' reference.
See Also:
  `Diff.getMatch()`
Generated:

#### getRequires

    public EList<Diff> getRequires()

Specified by:
  `getRequires` in interface `Diff`
Returns:
  the value of the 'Requires' reference list.
See Also:
  `ComparePackage.getDiff_Requires()`, `Diff.getRequiredBy()`
Generated:

#### getRequiredBy

    public EList<Diff> getRequiredBy()

Specified by:
  `getRequiredBy` in interface `Diff`
Returns:
  the value of the 'Required By' reference list.
See Also:
  `ComparePackage.getDiff_RequiredBy()`, `Diff.getRequires()`
Generated:

#### getImplies

    public EList<Diff> getImplies()

Specified by:
  `getImplies` in interface `Diff`
Returns:
  the value of the 'Implies' reference list.
See Also:
  `ComparePackage.getDiff_Implies()`, `Diff.getImpliedBy()`
Generated:

#### getImpliedBy

    public EList<Diff> getImpliedBy()

Specified by:
  `getImpliedBy` in interface `Diff`
Returns:
  the value of the 'Implied By' reference list.
See Also:
  `ComparePackage.getDiff_ImpliedBy()`, `Diff.getImplies()`
Generated:

#### getRefines

    public EList<Diff> getRefines()

Specified by:
  `getRefines` in interface `Diff`
Returns:
  the value of the 'Refines' reference list.
See Also:
  `ComparePackage.getDiff_Refines()`, `Diff.getRefinedBy()`
Generated:

#### getRefinedBy

    public EList<Diff> getRefinedBy()

Specified by:
  `getRefinedBy` in interface `Diff`
Returns:
  the value of the 'Refined By' reference list.
See Also:
  `ComparePackage.getDiff_RefinedBy()`, `Diff.getRefines()`
Generated:

#### getPrimeRefining

    public Diff getPrimeRefining()

Specified by:
  `getPrimeRefining` in interface `Diff`
Returns:
  the value of the 'Prime Refining' reference.
See Also:
  `ComparePackage.getDiff_PrimeRefining()`
Generated:

#### basicGetPrimeRefining

    public Diff basicGetPrimeRefining()

Generated:

#### getKind

    public DifferenceKind getKind()

Specified by:
  `getKind` in interface `Diff`
Returns:
  the value of the 'Kind' attribute.
See Also:
  `DifferenceKind`, `Diff.setKind(DifferenceKind)`, `ComparePackage.getDiff_Kind()`
Generated:

#### setKind

    public void setKind(DifferenceKind newKind)

Specified by:
  `setKind` in interface `Diff`
Parameters:
  `newKind` - the new value of the 'Kind' attribute.
See Also:
  `DifferenceKind`, `Diff.getKind()`
Generated:

#### getConflict

    public Conflict getConflict()

Specified by:
  `getConflict` in interface `Diff`
Returns:
  the value of the 'Conflict' reference.
See Also:
  `Diff.setConflict(Conflict)`, `ComparePackage.getDiff_Conflict()`, `Conflict.getDifferences()`
Generated:

#### basicGetConflict

    public Conflict basicGetConflict()

Generated:

#### basicSetConflict

    public NotificationChain basicSetConflict(Conflict newConflict,
                                              NotificationChain msgs)

Generated:

#### setConflict

    public void setConflict(Conflict newConflict)

Specified by:
  `setConflict` in interface `Diff`
Parameters:
  `newConflict` - the new value of the 'Conflict' reference.
See Also:
  `Diff.getConflict()`
Generated:

#### getSource

    public DifferenceSource getSource()

Specified by:
  `getSource` in interface `Diff`
Returns:
  the value of the 'Source' attribute.
See Also:
  `DifferenceSource`, `Diff.setSource(DifferenceSource)`, `ComparePackage.getDiff_Source()`
Generated:

#### setSource

    public void setSource(DifferenceSource newSource)

Specified by:
  `setSource` in interface `Diff`
Parameters:
  `newSource` - the new value of the 'Source' attribute.
See Also:
  `DifferenceSource`, `Diff.getSource()`
Generated:

#### getState

    public DifferenceState getState()

Specified by:
  `getState` in interface `Diff`
Returns:
  the value of the 'State' attribute.
See Also:
  `DifferenceState`, `Diff.setState(DifferenceState)`, `ComparePackage.getDiff_State()`
Generated:

#### setState

    public void setState(DifferenceState newState)

Specified by:
  `setState` in interface `Diff`
Parameters:
  `newState` - the new value of the 'State' attribute.
See Also:
  `DifferenceState`, `Diff.getState()`
Generated:

#### getEquivalence

    public Equivalence getEquivalence()

Specified by:
  `getEquivalence` in interface `Diff`
Returns:
  the value of the 'Equivalence' reference.
See Also:
  `Diff.setEquivalence(Equivalence)`, `ComparePackage.getDiff_Equivalence()`, `Equivalence.getDifferences()`
Generated:

#### basicGetEquivalence

    public Equivalence basicGetEquivalence()

Generated:

#### basicSetEquivalence

    public NotificationChain basicSetEquivalence(Equivalence newEquivalence,
                                                 NotificationChain msgs)

Generated:

#### setEquivalence

    public void setEquivalence(Equivalence newEquivalence)

Specified by:
  `setEquivalence` in interface `Diff`
Parameters:
  `newEquivalence` - the new value of the 'Equivalence' reference.
See Also:
  `Diff.getEquivalence()`
Generated:

#### copyRightToLeft

    public void copyRightToLeft()

Specified by:
  `copyRightToLeft` in interface `Diff`
Generated:

#### copyLeftToRight

    public void copyLeftToRight()

Specified by:
  `copyLeftToRight` in interface `Diff`
Generated:

#### discard

    public void discard()

Specified by:
  `discard` in interface `Diff`
Generated:

#### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `BasicEObjectImpl`
Generated:

#### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BasicEObjectImpl`
Generated:

#### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `BasicEObjectImpl`
Generated:

#### eSet

    public void eSet(int featureID,
                     Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `BasicEObjectImpl`
Generated:

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `BasicEObjectImpl`
Generated:

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `BasicEObjectImpl`
Generated:

#### toString

    public String toString()

Overrides:
  `toString` in class `BasicEObjectImpl`
Generated: